Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre > Plugins

Notices

Reply
 
Thread Tools Search this Thread
Old 11-12-2019, 02:36 PM   #1
Claghorn
Member
Claghorn began at the beginning.
 
Claghorn's Avatar
 
Posts: 15
Karma: 10
Join Date: Aug 2012
Device: Nexus 7
python3 plugins?

Fedora 31 appears to come with a python3 calibre: calibre-4.1.0-1.fc31.x86_64.

I can load plugins such as "modify epub", but they barf when I actually try to run them.

How many years is it likely to take for all plugins to be compatible with python 3?

Should calibre know about compatibility when searching for plugins? (Perhaps look in a different URL for compatible plugins).

Meanwhile, I've setup a fedora 30 virtual machine dedicated to running an older calibre where all the plugins work, so I can do any editing I need, then load the final version into my fedora 31 calibre (sigh). A pain, but it works.
Claghorn is offline   Reply With Quote
Old 11-12-2019, 03:12 PM   #2
DaltonST
Deviser
DaltonST ought to be getting tired of karma fortunes by now.DaltonST ought to be getting tired of karma fortunes by now.DaltonST ought to be getting tired of karma fortunes by now.DaltonST ought to be getting tired of karma fortunes by now.DaltonST ought to be getting tired of karma fortunes by now.DaltonST ought to be getting tired of karma fortunes by now.DaltonST ought to be getting tired of karma fortunes by now.DaltonST ought to be getting tired of karma fortunes by now.DaltonST ought to be getting tired of karma fortunes by now.DaltonST ought to be getting tired of karma fortunes by now.DaltonST ought to be getting tired of karma fortunes by now.
 
DaltonST's Avatar
 
Posts: 1,880
Karma: 1804640
Join Date: Aug 2013
Location: Texas
Device: 10" Win10 Tablet w/Calibre64, CalibreSpy & Freda+
My 15 plugins are as Python3 compatible as I can make them without ever testing them with a Py3 Calibre 4+ using Windows 10 1903. I am surprised you have a Linux one; Kovid has not released even an Alpha test version for Win10.

DaltonST
DaltonST is offline   Reply With Quote
Advert
Old 11-12-2019, 05:47 PM   #3
davidfor
Grand Sorcerer
davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.
 
Posts: 22,546
Karma: 40193825
Join Date: Jul 2011
Location: Sydney, Australia
Device: Kobo:Touch,Glo, AuraH2O, GloHD,AuraONE, ClaraHD, Libra H2O; tolinoepos
As always, if you see errors with a plugin, post the errors in the plugins thread. They are far more likely to get some attention that way.

Also, the general rule for Linux distributions included versions of calibre applies: If it doesn't work, get the official calibre distribution. Far to many distributions break things.
davidfor is online now   Reply With Quote
Old 11-12-2019, 07:56 PM   #4
jhowell
Wizard
jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.
 
jhowell's Avatar
 
Posts: 4,732
Karma: 45518723
Join Date: Nov 2011
Location: Tampa Bay, Florida
Device: Oasis 2, Fire, iPad Air 2, Nexus 7
While calibre will compile under Python 3, as far as I know the effort to get it fully working in that environment is not yet complete. Use at your own risk. If you come across broken functionality report it on the calibre bug tracker.
jhowell is online now   Reply With Quote
Old 11-12-2019, 07:57 PM   #5
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 39,787
Karma: 17764952
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
As far as I know no calibre plugins are python 3 compatible. If you use plugins you should use the official calibre binaries, which still use python 2.
kovidgoyal is offline   Reply With Quote
Advert
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Aura How to install python3 in Kobo Aura? guchai25 Kobo Reader 0 11-12-2019 09:41 AM
Python3 on Aura One Kristoffer_1 Kobo Developer's Corner 5 07-06-2019 06:20 PM
What PlugIns Might I want/need? ShelaghDB Calibre 4 11-07-2015 07:16 PM
Plugins junkml Plugins 32 06-19-2009 06:43 AM
Plugins? Mitchll Plugins 0 12-27-2008 02:36 PM


All times are GMT -4. The time now is 08:04 PM.


MobileRead.com is a privately owned, operated and funded community.